Subject: Re: [ANNOUNCE] Git 1.7.9

From: Jakub Narebski <[email-masked]>
Date: Fri, 3 Feb 2012 13:52:09 +0100

On Fri, 3 Feb 2012, Junio C Hamano wrote:
> On Thu, Feb 2, 2012 at 12:50 PM, Jakub Narebski <[email-masked]> wrote:
> 
> > When trying to rebuild RPM out of tarball with
> >
> >  $ rpmbuild -tb git-1.7.9.tar.gz
> >
> > I get the following error at the end of build phase:
> >
> >  RPM build errors:
> >     Installed (but unpackaged) file(s) found:
> >    /usr/share/locale/is/LC_MESSAGES/git.mo
> >
> 
> I think it should be simply ignored at least for now.  I stopped touching
> the rpm spec since August last year (the only reason I was running rpmbuild
> was to install them on k.org), so I didn't notice.

So for the time being something like that would be an acceptable fix?
 
diff --git a/git.spec b/git.spec
index 8ceb42b..5461b0b 100644
--- a/git.spec
+++ b/git.spec
@@ -134,6 +134,7 @@ find $RPM_BUILD_ROOT -type f -name perllocal.pod -exec rm -f {} ';'
 %else
 rm -rf $RPM_BUILD_ROOT%{_mandir}
 %endif
+rm -rf $RPM_BUILD_ROOT%{_datadir}/locale
 
 mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
 install -m 644 -T contrib/completion/git-completion.bash $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/git

-- 
Jakub Narebski
Poland